'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactDom = require('react-dom');

var _reactDom2 = _interopRequireDefault(_reactDom);

var _d = require('d3');

var _d2 = _interopRequireDefault(_d);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

var AxisLabel = function (_React$Component) {
  _inherits(AxisLabel, _React$Component);

  function AxisLabel(props) {
    _classCallCheck(this, AxisLabel);

    return _possibleConstructorReturn(this, Object.getPrototypeOf(AxisLabel).call(this, props));
  }

  _createClass(AxisLabel, [{
    key: 'render',
    value: function render() {
      var translateLabelX = "translate(" + this.props.w / 2 + "," + (this.props.h + 40) + ")";
      var translateLabelY = "translate(-40," + this.props.h / 2 + ") rotate(270)";
      return _react2.default.createElement(
        'text',
        { className: this.props.axisType + "-axis-label", textAnchor: 'middle', transform: this.props.axisType === 'y' ? translateLabelY : translateLabelX },
        this.props.axisLabel
      );
    }
  }]);

  return AxisLabel;
}(_react2.default.Component);

AxisLabel.propTypes = {
  w: _react2.default.PropTypes.number,
  h: _react2.default.PropTypes.number,
  axisLabel: _react2.default.PropTypes.string,
  axisType: _react2.default.PropTypes.oneOf(['x', 'y'])
};

exports.default = AxisLabel;